com.thinkaurelius.titan.diskstorage.keycolumnvalue.keyvalue

## Interface OrderedKeyValueStoreManager

- All Superinterfaces:
    KeyValueStoreManager, StoreManager

      public interface OrderedKeyValueStoreManager
      extends KeyValueStoreManager

  A `KeyValueStoreManager` where the stores maintain keys in their natural order.
  Author:
    Matthias Bröcheler (me@matthiasb.com);

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mutateMany(Map<String,KVMutation> mutations, StoreTransaction txh)` Executes multiple mutations at once.
    `OrderedKeyValueStore` | `openDatabase(String name)` Opens an ordered database by the given name.

    - ### Methods inherited from interface com.thinkaurelius.titan.diskstorage.keycolumnvalue.StoreManager

      `beginTransaction, clearStorage, close, getFeatures, getLocalKeyPartition, getName`

- - ### Method Detail

    - #### openDatabase

          OrderedKeyValueStore openDatabase(String name)
                                            throws BackendException

      Opens an ordered database by the given name. If the database does not exist, it is created. If it has already been opened, the existing handle is returned.

      Specified by:
        `openDatabase` in interface `KeyValueStoreManager`
      Parameters:
        `name` - Name of database
      Returns:
        Database Handle
      Throws:
        `BackendException`

    - #### mutateMany

          void mutateMany(Map<String,KVMutation> mutations,
                        StoreTransaction txh)
                          throws BackendException

      Executes multiple mutations at once. Each store (identified by a string name) in the mutations map is associated with a `KVMutation` that contains all the mutations for that particular store. This is an optional operation. Check `StoreManager.getFeatures()` if it is supported by a particular implementation.
      Parameters:
        `mutations` -
        `txh` -
      Throws:
        `BackendException`

Copyright © 2012–2014. All rights reserved.